/*
 * Copyright (c) 1993 Addison-Wesley Publishing Company.
 * All rights reserved.  This source code is provided
 * for its instructional value, and is not guaranteed
 * for any particular purpose.
 */
/*
 * Program number.
 */
#define UNAME_PROG	0x22222223

/*
 * Current version number.
 */
#define UNAME_VER_2	2
#define UNAME_VER		UNAME_VER_2

/*
 * Old version numbers.
 */
#define UNAME_VER_1	1

/*
 * Procedure returns struct utsname.
 */
#define UNAME_PROC	1

/*
 * XDR filters for struct utsname.
 * Version 1 uses xdr_vector.
 * Version 2 uses xdr_string.
 */
extern bool_t xdr_utsname_1(XDR *, struct utsname *);
extern bool_t xdr_utsname_2(XDR *, struct utsname *);
